Bug 693097 - Frequent kernel errors for iwl3945
Frequent kernel errors for iwl3945
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iwl3945-firmware (Show other bugs)
19
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-02 12:24 EDT by Steven Stern
Modified: 2015-02-17 08:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:42:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Stern 2011-04-02 12:24:06 EDT
Repeatedly appearing in /var/log/messages

hardware profile is http://www.smolts.org/client/show/pub_2e1dcbc6-c0c7-4634-94ed-e052a0dfb239

Apr  2 11:18:46 localhost kernel: [ 4005.208081] iwl3945 0000:06:00.0: Microcode SW error detected. Restarting 0x82000008.
Apr  2 11:18:46 localhost kernel: [ 4005.208091] iwl3945 0000:06:00.0: Loaded firmware version: 15.32.2.9
Apr  2 11:18:46 localhost kernel: [ 4005.208128] iwl3945 0000:06:00.0: Start IWL Error Log Dump:
Apr  2 11:18:46 localhost kernel: [ 4005.208134] iwl3945 0000:06:00.0: Status: 0x0002A2E4, count: 1
Apr  2 11:18:46 localhost kernel: [ 4005.208140] iwl3945 0000:06:00.0: Desc       Time       asrtPC  blink2 ilink1  nmiPC   Line
Apr  2 11:18:46 localhost kernel: [ 4005.208371] iwl3945 0000:06:00.0: SYSASSERT     (0x5) 3523999687 0x008B6 0x13756 0x00320 0x00000 764
Apr  2 11:18:46 localhost kernel: [ 4005.208375]
Apr  2 11:18:46 localhost kernel: [ 4005.208505] iwl3945 0000:06:00.0: Start IWL Event Log Dump: display last 20 count
Apr  2 11:18:46 localhost kernel: [ 4005.208550] iwl3945 0000:06:00.0: 3523998720    0x0000051b    1115
Apr  2 11:18:46 localhost kernel: [ 4005.208576] iwl3945 0000:06:00.0: 3523998724    0x00000003    0463
Apr  2 11:18:46 localhost kernel: [ 4005.208602] iwl3945 0000:06:00.0: 3523998725    0x00000003    0462
Apr  2 11:18:46 localhost kernel: [ 4005.208628] iwl3945 0000:06:00.0: 3523998760    0x00000000    0201
Apr  2 11:18:46 localhost kernel: [ 4005.208654] iwl3945 0000:06:00.0: 3523998771    0x0000001c    0206
Apr  2 11:18:46 localhost kernel: [ 4005.208680] iwl3945 0000:06:00.0: 3523998772    0x00400001    0204
Apr  2 11:18:46 localhost kernel: [ 4005.208706] iwl3945 0000:06:00.0: 3523998777    0x00400001    0219
Apr  2 11:18:46 localhost kernel: [ 4005.208732] iwl3945 0000:06:00.0: 3523998778    0x00020041    0211
Apr  2 11:18:46 localhost kernel: [ 4005.208757] iwl3945 0000:06:00.0: 3523998783    0x00000000    0212
Apr  2 11:18:46 localhost kernel: [ 4005.208783] iwl3945 0000:06:00.0: 3523999114    0x00000000    0215
Apr  2 11:18:46 localhost kernel: [ 4005.208809] iwl3945 0000:06:00.0: 3523999188    0x00400008    0220
Apr  2 11:18:46 localhost kernel: [ 4005.208835] iwl3945 0000:06:00.0: 3523999204    0x00000000    0301
Apr  2 11:18:46 localhost kernel: [ 4005.208861] iwl3945 0000:06:00.0: 3523999472    0x000000d4    0303
Apr  2 11:18:46 localhost kernel: [ 4005.208887] iwl3945 0000:06:00.0: 3523999648    0x44540080    0401
Apr  2 11:18:46 localhost kernel: [ 4005.208913] iwl3945 0000:06:00.0: 3523999661    0x0000000d    0452
Apr  2 11:18:46 localhost kernel: [ 4005.208939] iwl3945 0000:06:00.0: 3523999666    0x00133b6e    0450
Apr  2 11:18:46 localhost kernel: [ 4005.208965] iwl3945 0000:06:00.0: 3523999672    0x00133b6e    0450
Apr  2 11:18:46 localhost kernel: [ 4005.208990] iwl3945 0000:06:00.0: 3523999677    0x00153b6e    0450
Apr  2 11:18:46 localhost kernel: [ 4005.209016] iwl3945 0000:06:00.0: 3523999682    0x00153b6e    0450
Apr  2 11:18:46 localhost kernel: [ 4005.209031] iwl3945 0000:06:00.0: 3523999688    0x00000100    0125
Apr  2 11:18:46 localhost kernel: [ 4005.209031] iwl3945 0000:06:00.0: Error Reply type 0x000002FC cmd REPLY_SCAN_CMD (0x80) seq 0x4454 ser 0x00340000
Apr  2 11:18:46 localhost kernel: [ 4005.213528] iwl3945 0000:06:00.0: Can't stop Rx DMA.
Comment 1 Patrick Boutilier 2011-04-02 15:40:13 EDT
Confirmed. Same errors on Fedora 15 live CD. I can not even make a wireless connection.
Comment 2 Daniel Mach 2011-04-04 10:10:29 EDT
Same here.
Networking works, but logs are spammed with the error message.

Hardware:
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
        Subsystem: Intel Corporation ThinkPad R60e/X60s
        Physical Slot: 3
        Flags: bus master, fast devsel, latency 0, IRQ 48
        Memory at edf00000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [e0] Express Legacy Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number xx-xx-xx-xx-xx-xx-xx-xx
        Kernel driver in use: iwl3945
        Kernel modules: iwl3945
Comment 3 Christoph Brill 2011-04-06 15:29:35 EDT
Same happens here with the F15 live CD. I think I could narrow it down on a second system (Gentoo) to an update of NetworkManager from 0.8.2 to 0.8.996.
Comment 4 Sitsofe Wheeler 2011-04-13 18:42:59 EDT
I'm seeing this too on a Fedora LiveCD from today with a 2.6.38-2 kernel. However, I don't see this on a LiveCD from March 25th (2.6.38-1) making me think that the issue has been introduced inbetween...

This bug has almost certainly been filed in the wrong component - it is most likely a kernel bug as the firmware hasn't changed in years (I checksummed the firmware files and they are the same as the firmware on my Fedora 14 system that does not show this problem).

My guess is that this has been introduced in the 2.6.38.2 kernel but looking at the git changelog this doesn't make sense!
Comment 5 Steven Stern 2011-04-13 19:01:07 EDT
I'm getting the same sort of errors with kernel 2.6.38.2-9.fc15.i686.PAE
Comment 6 Sitsofe Wheeler 2011-04-13 19:31:31 EDT
Might be related to Bug #683571 ...
Comment 7 Sitsofe Wheeler 2011-04-13 19:44:24 EDT
Also https://bugzilla.gnome.org/show_bug.cgi?id=644551 (which is against NetworkManager)
Comment 8 Christoph Brill 2011-05-06 15:03:06 EDT
For me an update of networkmanager to 0.8.999 solved the problem.
Comment 9 Sitsofe Wheeler 2011-05-30 15:40:09 EDT
I am not seeing this problem in Fedora 15 final. This might be better marked a duplicate of bug 688252 .
Comment 10 Txe 2011-12-07 12:26:13 EST
Hi there
I got similar problem with Scientific Linux 6.1 (wireless connection is death, wired connection OK) please help.
I was using SL6.0 not too much ago with no problems at all, (testing before installing it to my HD) but since automatically updating to SL6.1 and restart I can't connect to internet. 
Here some further info:  
[xekatto@livecd ~]$ su
[root@livecd liveuser]# lsmod | grep -i iwl
iwl3945                69051  0 
iwlcore                63727  1 iwl3945
mac80211              132542  2 iwl3945,iwlcore
cfg80211              118084  3 iwl3945,iwlcore,mac80211
[root@livecd liveuser]# 
-----------------------
[root@livecd liveuser]# dmesg | grep -i wifi
iwl3945 0000:04:00.0: Detected Intel Wireless WiFi Link 3945ABG
iwl3945 0000:04:00.0: firmware: requesting iwlwifi-3945-2.ucode
[root@livecd liveuser]# 
---------------------------
[root@livecd liveuser]# dmesg | grep -i firm
[Firmware Bug]: ACPI: ACPI brightness control misses _BQC function
[Firmware Bug]: ACPI: ACPI brightness control misses _BQC function
iwl3945 0000:04:00.0: firmware: requesting iwlwifi-3945-2.ucode
iwl3945 0000:04:00.0: loaded firmware version 15.32.2.9
[root@livecd liveuser]# 
-------------------------------------
I tried some commands as followings:
#yum check-update iwl3945-firmware.arch; and yum -reinstall [firmware] with no changes at all.
I also tried to update NetworkManager Applet from 0.8.1 to 0.9 and 0.8.4 but installation abort with same output for both cases: "intool too old (...)" or something like that (sorry I didn't write down the exact output)
I would appreciate any clue...
Txe
PS. tags: [Firmware Bug] iwl3945, SL6.1,
Comment 11 Fedora End Of Life 2013-04-03 12:04:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Fedora End Of Life 2015-01-09 11:37:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 08:42:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.